Skip to main content
Use this endpoint to remove a member from a workspace. Once removed, the user immediately loses access to all applications and resources linked to that workspace. Only workspace owners and admins can remove members. You cannot remove the workspace owner using this endpoint.

Request

DELETE https://api.virtuscloud.app/v2/workspaces/members

Headers

Authorization
string
required
Your Virtus Cloud API key. Pass it directly as the header value — no prefix required.Example: Authorization: vc_live_xxxxxxxxxxxx

Body

workspaceId
string
required
The unique identifier of the workspace to remove the member from.
memberId
string
required
The user ID of the member you want to remove. You can find member IDs in the response from the Get Workspace endpoint.

Response

status
string
Returns "success" when the member is removed from the workspace successfully.
Access revocation is immediate. The removed member will no longer be able to view or interact with any applications or resources in this workspace.

Examples

curl -X DELETE https://api.virtuscloud.app/v2/workspaces/members \
  -H "Authorization: <api_key>" \
  -H "Content-Type: application/json" \
  -d '{
    "workspaceId": "dcedcd13d7e272a7b32a70f6a1d180f23c12d759",
    "memberId": "5354d9742d889d49b20134ba0be09ccc0033be68"
  }'

Response Example

{
  "status": "success"
}